package com.tzld.piaoquan.api.service;

import com.tzld.piaoquan.api.model.po.contentplatform.VideoGrowthMultiCover;
import com.tzld.piaoquan.api.model.po.contentplatform.VideoGrowthMultiTitle;

import java.util.List;

public interface VideoMultiService {

    String setVideoMultiTitleCoverPagePath(Long videoId, String pageUrl, String title, String coverUrl);
    
    Long saveMultiTitle(Long videoId, String source, String title);

    List<VideoGrowthMultiTitle> getMultiTitleByVideoId(Long videoId);

    Long saveMultiCover(Long videoId, String source, String cover);
    
    List<VideoGrowthMultiCover> getMultiCoverByVideoId(Long videoId);

    List<VideoGrowthMultiTitle> getVideoGrowthMultiTitleList(List<Long> customTitleIds);

    List<VideoGrowthMultiCover> getVideoGrowthMultiCoverList(List<Long> customCoverIds);
}
